"""
URL configuration for SGL project.

The `urlpatterns` list routes URLs to views. For more information please see:
    https://docs.djangoproject.com/en/5.2/topics/http/urls/

Examples:
Function views
    1. Add an import:  from my_app import views
    2. Add a URL to urlpatterns:  path('', views.home, name='home')
Class-based views
    1. Add an import:  from other_app.views import Home
    2. Add a URL to urlpatterns:  path('', Home.as_view(), name='home')
Including another URLconf
    1. Import the include() function: from django.urls import include, path
    2. Add a URL to urlpatterns:  path('blog/', include('blog.urls'))

""" #noqa : D212

from django.contrib import admin
from django.urls import path, include

from django.conf import settings
from django.conf.urls.static import static

from . import views

urlpatterns = [
    path(
        "",
        views.index,
        name="index"
    ),
    path(
        "gestion-produit/",
        include("gestion_produit.urls")
    ),
    path(
        "gestion-fournisseur/",
        include("gestion_fournisseur.urls")
    ),
    path(
        "gestion-vehicule/",
        include("gestion_vehicule.urls")
    ),
    path(
        "authentification/",
        include("authentification.urls")
    ),
    path(
        "liste-commande-en-cours/",
        views.liste_produit_commander,
        name="commande_en_cours",
    ),
    path(
        "liste-demande-en-cours/",
        views.liste_demandes,
        name="demande_en_cours"
    ),
    path(
        "enregistrer-livraison-produit/",
        views.enregistrer_livraison_produit,
        name="enregistrer_livraison_produit",
    ),
    path(
        "admin/",
        admin.site.urls
    ),
    path(
        "dashboard-produit/",
        views.liste_produit_rupture,
        name="listeProduitRupture"
    ),
    path(
        "equipement-a-rendre/",
        views.produit_a_rendre,
        name="equipement-a-rendre"
    ),
    path(
        "update-equipement-a-rendre/",
        views.produit_a_rendre_update,
        name="update-equipement-a-rendre",
    ),
] + static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)
